package cn.com.qmth.stmms.biz.exam.bean;

import java.util.List;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotBlank;

import cn.com.qmth.stmms.common.enums.MarkMode;

public class MarkGroupUpdate {

    @NotBlank(message = "subjectCode不能为空")
    private String subjectCode;

    @NotNull(message = "number不能为空")
    private Integer number;

    @NotNull(message = "reset不能为空")
    private Boolean reset;

    private List<Integer> questionIds;

    private String picList;

    private Double doubleRate;

    private Double arbitrateThreshold;

    private Integer thirdPolicy;

    private Integer scorePolicy;

    private String arbitrateThresholdList;

    private Integer arbitrateType;

    private MarkMode markMode;

    private Integer trialCount;

    private Boolean sheetView;

    private Boolean enableAllZero;

    private String intervalScoreList;

    private String deleteCode;

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Boolean getReset() {
        return reset;
    }

    public void setReset(Boolean reset) {
        this.reset = reset;
    }

    public List<Integer> getQuestionIds() {
        return questionIds;
    }

    public void setQuestionIds(List<Integer> questionIds) {
        this.questionIds = questionIds;
    }

    public String getPicList() {
        return picList;
    }

    public void setPicList(String picList) {
        this.picList = picList;
    }

    public Double getDoubleRate() {
        return doubleRate;
    }

    public void setDoubleRate(Double doubleRate) {
        this.doubleRate = doubleRate;
    }

    public Double getArbitrateThreshold() {
        return arbitrateThreshold;
    }

    public void setArbitrateThreshold(Double arbitrateThreshold) {
        this.arbitrateThreshold = arbitrateThreshold;
    }

    public Integer getThirdPolicy() {
        return thirdPolicy;
    }

    public void setThirdPolicy(Integer thirdPolicy) {
        this.thirdPolicy = thirdPolicy;
    }

    public Integer getScorePolicy() {
        return scorePolicy;
    }

    public void setScorePolicy(Integer scorePolicy) {
        this.scorePolicy = scorePolicy;
    }

    public String getArbitrateThresholdList() {
        return arbitrateThresholdList;
    }

    public void setArbitrateThresholdList(String arbitrateThresholdList) {
        this.arbitrateThresholdList = arbitrateThresholdList;
    }

    public Integer getArbitrateType() {
        return arbitrateType;
    }

    public void setArbitrateType(Integer arbitrateType) {
        this.arbitrateType = arbitrateType;
    }

    public MarkMode getMarkMode() {
        return markMode;
    }

    public void setMarkMode(MarkMode markMode) {
        this.markMode = markMode;
    }

    public Integer getTrialCount() {
        return trialCount;
    }

    public void setTrialCount(Integer trialCount) {
        this.trialCount = trialCount;
    }

    public Boolean getSheetView() {
        return sheetView;
    }

    public void setSheetView(Boolean sheetView) {
        this.sheetView = sheetView;
    }

    public Boolean getEnableAllZero() {
        return enableAllZero;
    }

    public void setEnableAllZero(Boolean enableAllZero) {
        this.enableAllZero = enableAllZero;
    }

    public String getIntervalScoreList() {
        return intervalScoreList;
    }

    public void setIntervalScoreList(String intervalScoreList) {
        this.intervalScoreList = intervalScoreList;
    }

    public String getDeleteCode() {
        return deleteCode;
    }

    public void setDeleteCode(String deleteCode) {
        this.deleteCode = deleteCode;
    }

}
