package cn.com.qmth.stmms.common.support;

import io.swagger.annotations.ApiModelProperty;

public class StatusResponse implements JsonSerializable {

    private static final long serialVersionUID = 8393074113722405560L;

    @ApiModelProperty(value = "响应编码", example = "xxx", required = true)
    private int code;

    @ApiModelProperty(value = "响应描述", example = "具体描述信息", required = true)
    private String message;

    /**
     * 构造函数
     */
    public StatusResponse() {
        super();
    }

    /**
     * 构造函数
     *
     * @param code
     * @param desc
     */
    public StatusResponse(int code, String message) {
        super();
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

}
